#include <iostream>
#include <fstream>
#include<iomanip>
#include<cmath>
using namespace std;
int main()
{
	float x;
	int n;
	ifstream fi("bieuthucf.inp");
    fi>>x>>n;
	fi.close();
	ofstream fo("bieuthucf.out");
	int s=0;
	for(int i=1;i<=n;i++)
	{
		s=1+s*(x/i);
	}
	fo<<s;
	fo.close();
	return 0;
}

